IPV6_MTU_DISCOVER(2const)

NAME
IPV6_MTU_DISCOVER - path maximum transfer unit size discovery

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IPV6, IPV6_MTU_DISCOVER,
               const int *val, sizeof(int));
int getsockopt(int sockfd, IPPROTO_IPV6, IPV6_MTU_DISCOVER,
               int *val, sizeof(int));

DESCRIPTION
Set or receive the Path MTU Discovery setting for a socket.

See IP_MTU_DISCOVER(2const).

ERRORS
See IPPROTO_IPV6(2const). See setsockopt(2). See ipv6(7).

SEE ALSO
IPPROTO_IPV6(2const), setsockopt(2), ipv6(7)